Subject: Re: [PATCH] mark sk98lin driver for removal

From: Michael Stone <[email-masked]>
Date: Tue, 15 Aug 2006 14:42:33 -0400

On Tue, Aug 15, 2006 at 11:03:40AM -0700, Stephen Hemminger wrote:
>	* driver parameters 
>		skge/sky2 don't have many and most are standard across other drivers
>		This driver intentionally does not support configuration via module
>		parameters because it is better done through ethtool

Fair enough. It might be nice to mention that specifically somewhere, for 
people transitioning from sk98lin (which required a special parameter in 
order to use both ports).

>The driver has always supported both ports as separate devices. If you want to
>use bonding or fail over that is available in generic kernel.

ok, I'll test that in the next few days.

>> I tried testing the skge driver on one system and got this in dmesg:
>> 
>> skge 0000:03:0c.0: unsupported phy type 0x0
>> ACPI: PCI interrupt for device 0000:03:0c.0 disabled
>> skge: probe of 0000:03:0c.0 failed with error -95
>>
>
>What hardware was that? Please send me an lspci -vv output.

0000:03:0c.0 Ethernet controller: Syskonnect (Schneider & Koch) SK-98xx Gigabit Ethernet Server Adapter (rev 12)
        Subsystem: Syskonnect (Schneider & Koch) SK-9843 Gigabit Ethernet Server Adapter (SK-NET GE-SX)
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 32 (5750ns min, 7750ns max), Cache Line Size: 0x10 (64 bytes)
        Interrupt: pin A routed to IRQ 21
        Region 0: Memory at dfddc000 (32-bit, non-prefetchable) [size=16K]
        Region 1: I/O ports at e800 [size=256]
        Expansion ROM at d8000000 [disabled] [size=128K]
        Capabilities: [48] Power Management version 1
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=1 PME-
        Capabilities: [50] Vital Product Data

Mike Stone